%global momorel 4

Summary:	POE-Component-Client-HTTP module for perl 
Name:		perl-POE-Component-Client-HTTP
Version:	0.895
Release:	%{momorel}m%{?dist}
License:	GPL
Group:		Development/Languages
Source0:	http://www.cpan.org/authors/id/R/RC/RCAPUTO/POE-Component-Client-HTTP-%{version}.tar.gz 
NoSource:	0
URL:		http://www.cpan.org/modules/by-module/POE/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	perl >= 1:5.8.8
BuildArch:	noarch
BuildRequires:	perl-POE-Component-Client-Keepalive
BuildRequires:	perl-Test-POE-Server-TCP
Requires:	perl-POE

%description
POE-Component-Client-HTTP module for perl

%prep
%setup -q -n POE-Component-Client-HTTP-%{version} 

%build
CFLAGS="%{optflags}" perl Makefile.PL INSTALLDIRS=vendor
make


%install
rm -rf %{buildroot}
make install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot}%{perl_vendorarch}/auto -name '.packlist' | xargs rm -f

find %{buildroot}/usr -type f -print | \
	sed "s@^%{buildroot}@@g" | \
	grep -v perllocal.pod | \
	sed -e 's,\(.*/man/.*\),\1*,' | \
	grep -v "\.packlist" > POE-Component-Client-HTTP-%{version}-filelist
if [ "$(cat POE-Component-Client-HTTP-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%clean 
rm -rf %{buildroot}

%files -f POE-Component-Client-HTTP-%{version}-filelist
%defattr(-,root,root)
%doc README*

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.895-4m)
- full rebuild for mo7 release

* Tue May 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.895-3m)
- rebuild against perl-5.12.1

* Fri Apr 16 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.895-2m)
- rebuild against perl-5.12.0

* Thu Feb 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.895-1m)
- update to 0.895

* Sun Jan 31 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.894-1m)
- update to 0.894

* Tue Jan 19 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.893-2m)
- change source download URL from by-module to authors
- www.cpan.org/modules/by-module was not updated

* Fri Dec 11 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.893-1m)
- update to 0.893

* Thu Nov 19 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.892-1m)
- update to 0.892

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.891-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Fri Oct 16 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.891-1m)
- update to 0.891

* Mon Aug 24 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.890-2m)
- rebuild against perl-5.10.1

* Wed Aug  5 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.890-1m)
- update to 0.890

* Fri Feb 20 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.88-1m)
- update to 0.88

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.87-2m)
- rebuild against rpm-4.6

* Sat Dec 13 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.87-1m)
- update to 0.87

* Tue Nov 25 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.86-1m)
- update to 0.86

* Mon Jul 14 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.85-1m)
- update to 0.85

* Mon Jun  2 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.84-1m)
- update to 0.84

* Sun Apr 27 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.83-1m)
- update to 0.83

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.82-4m)
- rebuild against gcc43

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.82-3m)
- %%NoSource -> NoSource

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (0.82-2m)
- use vendor

* Wed Feb 28 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.82-1m)
- update to 0.82

* Sat Feb 10 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.81-1m)
- update to 0.81

* Tue Jan  2 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.80-1m)
- update to 0.80

* Mon Oct 30 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.79-1m)
- update

* Thu Sep 28 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.78-1m)
- spec file was autogenerated
